Last Comment Bug 833369 - Create a Documentation Request bugzilla form
: Create a Documentation Request bugzilla form
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 08:19 PST by Eric Shepherd [:sheppy]
Modified: 2013-01-28 11:56 PST (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Eric Shepherd [:sheppy] 2013-01-22 08:19:18 PST
We would like a custom form for filing Developer Documentation bugs. This would help make it easier for people to request developer documentation or notify us of bugs in the documentation. This is part of our ongoing effort to improve communication with developers and users of MDN content.

These bugs will all be filed in the "Developer Documentation" product.

Note: Please feel free to offer suggestions or improvements that would make this form more usable. I'm laying out the kind of information we need to collect. I'm certainly open to other ways to gather it!

The information we need on the form, in this order:

1. A radio group (or similar). One of the following two options must be chosen before the form can be submitted, but neither should be selected by default: Request type: "New documentation" or "Correction". This would go into the comment, of course.

2. Topic area -- this should be a popup that lets the user select one of the components from the "Developer Documentation" product. The default should be "General".

3. Summary -- this will fill the bug summary. There should be a note explaining this field as follows: "Please provide a brief summary of what documentation you're requesting, or what problem you're reporting in existing documentation."

4. Gecko version -- The version of Gecko in which the requested change takes effect. Can this be a popup with all the various Gecko versions in it? I don't know how realistic that is.

4. Details -- This is a textarea to fill the description (to be comment 0). A note that says "Please describe your request or problem in detail."

5. Urgency -- "Immediately", "Before release", "Before Aurora", "Before Beta", "No rush". The default should be "No rush".
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-01-22 09:04:29 PST
(In reply to Eric Shepherd [:sheppy] from comment #0)

i don't see any issues here, will throw together a form for feedback.

> 4. Gecko version -- The version of Gecko in which the requested change takes
> effect. Can this be a popup with all the various Gecko versions in it? I
> don't know how realistic that is.

it won't be any problems pulling the version list from another product.
eg. using 'core' as a source would result in 'Trunk', '21 Branch', '20 Branch', ...

> 4^H5. Details -- This is a textarea to fill the description (to be comment 0).
> A note that says "Please describe your request or problem in detail."

note: all the details you've ask for, with the exception of the summary, will end up in comment 0 too.
Comment 2 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-01-23 06:27:51 PST
i've created the form on our public staging env, for your feedback:

  https://bugzilla-stage-tip.mozilla.org/form.doc

notes:
- email is disabled on that system
- grab me or dkl on irc (#bmo) if you need a password reset for this system 
- the list of components for the 'developer documentation' is different from production,
  so the items in 'topic' are wrong.  this will work fine on prod
- the list of versions in core is very old.  this too will work fine on prod
Comment 3 Eric Shepherd [:sheppy] 2013-01-23 06:48:15 PST
A couple of requests:

1. Can you please add a note under/next to/whatever "Urgency" like so: "Due to the volume of requests, the documentation team can't commit to meeting specific deadlines for given documentation requests, but we will do our best."

2. I've been asked to add one more field to this, and it's a good idea: "Corresponding development bug:" which accepts a bug number as input. It would then make the new bug block the specified bug number. This field should be optional.

Otherwise this looks fantastic! Thank you!
Comment 4 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-01-23 08:48:06 PST
https://bugzilla-stage-tip.mozilla.org/form.doc updated.
Comment 5 Eric Shepherd [:sheppy] 2013-01-23 13:11:01 PST
Two last changes: please make the default for the Gecko version "unspecified", as it's not always relevant.

And the "urgency" should map to the P1-P5 values for importance (with P1=immediately, P5=no rush), instead of putting it in the body of the C0 comment.

Thanks a ton, and sorry not to catch these sooner.
Comment 6 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-01-23 23:02:18 PST
no worries; https://bugzilla-stage-tip.mozilla.org/form.doc updated.
Comment 7 Eric Shepherd [:sheppy] 2013-01-24 06:16:02 PST
Looks great! Let me know when it's deployed! Thanks again!
Comment 8 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-01-28 09:56:02 PST
we push changes to bmo weekly -- this will be live wednesday night/thursday morning.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
modified .htaccess
modified extensions/BMO/Extension.pm
added extensions/BMO/template/en/default/bug/create/comment-doc.txt.tmpl
added extensions/BMO/template/en/default/bug/create/create-doc.html.tmpl
Committed revision 8454.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified .htaccess
modified extensions/BMO/Extension.pm
added extensions/BMO/template/en/default/bug/create/comment-doc.txt.tmpl
added extensions/BMO/template/en/default/bug/create/create-doc.html.tmpl
Committed revision 8518.
Comment 9 Eric Shepherd [:sheppy] 2013-01-28 11:36:51 PST
I presume that the form will be at https://bugzilla.mozilla.org/form.doc on the prod server?
Comment 10 David Lawrence [:dkl] 2013-01-28 11:56:27 PST
(In reply to Eric Shepherd [:sheppy] from comment #9)
> I presume that the form will be at https://bugzilla.mozilla.org/form.doc on
> the prod server?

Correct. /form.docs will work as well.

dkl

Note You need to log in before you can comment on or make changes to this bug.